1.Two Sum Leetcode Python
Given an array of integers, find two numbers such that they add up to a specific target number.
The function twoSum should return indices of the two numbers such that they add up to the target, where index1 must be less than index2. Please note that your returned answers (both index1 and index2) are not zero-based.
You may assume that each input would have exactly one solution.
Input: numbers={2, 7, 11, 15}, target=9
Output: index1=1, index2=2
このテーマはintroduction to algorithmの本から来て、brute forceの使い方を紹介しています.
ここではhashtableを用いて数値すなわちkey valueをindexとしtarget-num[index]を探索条件とする.似たようなテーマはあと4 sum
コードは次のとおりです.
The function twoSum should return indices of the two numbers such that they add up to the target, where index1 must be less than index2. Please note that your returned answers (both index1 and index2) are not zero-based.
You may assume that each input would have exactly one solution.
Input: numbers={2, 7, 11, 15}, target=9
Output: index1=1, index2=2
このテーマはintroduction to algorithmの本から来て、brute forceの使い方を紹介しています.
ここではhashtableを用いて数値すなわちkey valueをindexとしtarget-num[index]を探索条件とする.似たようなテーマはあと4 sum
コードは次のとおりです.
class Solution:
# @return a tuple, (index1, index2)
def twoSum(self, num, target):
process={}
for index in range(len(num)):
if target-num[index] in process:
return [process[target-num[index]]+1,index+1]
process[num[index]]=index